Simulate Off-Ramp Transaction
curl --request POST \
--url https://api.example.com/v1/ramp/org/simulate-offramp-transactionimport requests
url = "https://api.example.com/v1/ramp/org/simulate-offramp-transaction"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.example.com/v1/ramp/org/simulate-offramp-transaction', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Ramping — Simulation
Simulate Off-Ramp Transaction
POST /v1/ramp/org/simulate-offramp-transaction — Simulate an off-ramp transaction lifecycle (sandbox only)
POST
/
v1
/
ramp
/
org
/
simulate-offramp-transaction
Simulate Off-Ramp Transaction
Endpoint:
POST https://api.rebelfi.io/v1/ramp/org/simulate-offramp-transactionThis endpoint is only available in the sandbox environment. It will return an error in production.
Request Body
| Field | Type | Required | Description |
|---|---|---|---|
scenario | string | No | Simulation scenario (default: "success" — options: success, failed) |
usd_amount | number | No | Simulated USD amount (default: 50000) |
offramp_account_id | number | No | Off-ramp account ID to simulate against |
Example Request
curl -X POST "https://api.rebelfi.io/v1/ramp/org/simulate-offramp-transaction" \
-H "x-api-key: your_api_key" \
-H "Content-Type: application/json" \
-d '{
"scenario": "success",
"usd_amount": 25000,
"offramp_account_id": 1
}'
const simulation = await client.ramp.simulateOfframpTransaction({
scenario: 'success',
usdAmount: 25000
});
Example Response
{
"success": true,
"data": {
"simulation_id": "sim_x1y2z3",
"state": "accepted"
}
}
Response Fields
| Field | Type | Description |
|---|---|---|
success | boolean | Whether the simulation was accepted |
data.simulation_id | string | Unique identifier for the simulation |
data.state | string | Simulation state (accepted) |